# Created by pyp2rpm-3.3.2
%global pypi_name u-msgpack-python

Name:           python-%{pypi_name}
Version:        2.7.1
Release:        %mkrel 3
Summary:        A portable, lightweight MessagePack serializer and deserializer written in pure Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/vsergeev/u-msgpack-python
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
u-msgpack-python is a lightweight MessagePack serializer and deserializer
module written in pure Python. u-msgpack-python is fully compliant with the
latest MessagePack specification. In particular, it supports the new binary,
UTF-8 string, and application-defined ext types.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
u-msgpack-python is a lightweight MessagePack serializer and deserializer
module written in pure Python. u-msgpack-python is fully compliant with the
latest MessagePack specification. In particular, it supports the new binary,
UTF-8 string, and application-defined ext types.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/umsgpack.py
%{python3_sitelib}/u_msgpack_python-%{version}-py?.*.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 2.7.1-3.mga9
+ Revision: 1822622
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 joequant <joequant> 2.7.1-2.mga9
+ Revision: 1774561
- modify egg info string
- update to python 3.10

* Mon Mar 15 2021 wally <wally> 2.7.1-1.mga9
+ Revision: 1703466
- new version 2.7.1
- rebuild for python 3.9

* Tue Sep 08 2020 guillomovitch <guillomovitch> 2.7.0-1.mga8
+ Revision: 1623671
- new version 2.7.0

* Sat Sep 07 2019 wally <wally> 2.5.2-1.mga8
+ Revision: 1438243
- imported package python-u-msgpack-python

